     d1 = open("91-2")     rem открыть БД, хранящую номер док-та
     getfirst(d1)           rem прочесть первую запись
     d = open("c:\uaz\main2\91-2") rem открыть БД - реестр док-ов
     for i = 1 to size(d)
       if i = 1 then goto 100
       getnext(d)
       goto 200
100    getfirst(d)
200    sub = 'Субсчет'.d
   if Find(d1,1,1,sub) = 0 then goto 900 rem найти док-т с номером nom
     getlast(d1)                    rem прочитать последнюю запись
     clearbuf(d1)                   rem очистить буфер для новой записи
     'Субсчет'.d1 = 'Субсчет'.d
     'Название'.d1 = 'Название'.d
     'Код'.d1 = 'Код'.d
rem     'Группа'.d1 = 'Группа'.d
rem     'Ед.изм.'.d1 = 'Ед.изм.'.d
rem     'Цена'.d1 = 'Цена'.d
     insert(d1) rem вставить новую проводку в справочник отложенных операций
900       next
     close(d1)  rem закрыть БД spoop.btr
    close(d)   rem закрыть БД -реестр документов
     end
